%define pyver 2.3
Summary: Python bindings for ORBit2.
Name: pyorbit
Version: 2.14.2
Release: %mkrel 1
License: LGPL
Group: Development/GNOME and GTK+
URL: ftp://ftp.gnome.org/pub/GNOME/sources/pyorbit/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: ORBit2 >= 2.4.4
Requires: libIDL >= 0.7.1
Requires: glib2 >= 1.3.10
Requires: python >= %pyver
Buildrequires: libpython-devel >= %pyver
Buildrequires: libORBit2-devel >= 2.4.4
Buildrequires: libIDL-devel >= 0.7.1
Buildrequires: glib2-devel >= 1.3.10

%description
pyorbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for ORBit2 addon libraries.
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%release
Requires: libORBit2-devel

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with pyorbit

%prep
%setup -q

%build
# gw: the configure macro doesn't work
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(755, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/python?.?/site-packages/*

%files devel
%defattr(755, root, root, 755)
%dir %{_includedir}/pyorbit-2
%{_includedir}/pyorbit-2/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
+ Revision: 125668
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
+ Revision: 87916
- Import pyorbit



* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
- Rebuild

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2007.0
- New release 2.14.1

* Mon Apr 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- use mkrel

* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 2.0.1-3mdk
- Rebuild

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.0.1-2mdk
- Rebuild for new python

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- New release 2.0.1

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- fix deps

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- fix devel requirement
- new version

* Sun Aug 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.7-1mdk
- new version

* Fri Aug  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.6-2mdk
- new python

* Fri Aug  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.6-1mdk
- new version

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.5-1mdk
- adapt file list
- don't require link anymore
- requires the new orbit
- new version

* Mon Mar 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.4-1mdk
- new version

* Wed Feb 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-1mdk
- initial package ripped from Rawhide

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.3-5
- rebuild against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.3-4
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-2
- fix defattr

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-1
- update to pyorbit 1.99.3, obsolete orbit-python

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall
- don't install .la files
- use %%_libdir for pkgconfig files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- initial package
